<!DOCTYPE html>
<html>
<head>
    <script src='js/tinymce/tinymce.min.js'></script>
    <script type="text/javascript">
        tinyMCE.init({
            selector: '#editorcontent',
            branding: false,
            plugins: [
                'autolink link lists advlist charmap hr anchor',
                'searchreplace visualblocks visualchars code insertdatetime nonbreaking',
                'table contextmenu directionality template paste textcolor image fullscreen'
            ],
            menu: {
                insert: { title: 'Insert', items: 'image link inserttable | charmap hr | nonbreaking anchor | insertdatetime' },
                view: { title: 'View', items: 'visualaid visualchars visualblocks' }
            },
            menubar: "edit insert view format table",
            toolbar: "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | " +
                "bullist numlist outdent indent | link image | code",
            init_instance_callback: function (editor) {
              editor.execCommand('mceFullScreen');
              editor.on('Change', function(e) {
                window.chrome.webview.postMessage('content_changed');
              });
            }
        });
        function GetContent() {
            return tinyMCE.get('editorcontent').getContent();
        }

        function SetContent(htmlContent) {
            tinyMCE.get('editorcontent').setContent(htmlContent);
        }
    </script>
</head>
<body>
    <textarea id="editorcontent"></textarea>
</body>
</html>